@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
double.h File Reference
`#include <math.h>`
`#include "pico.h"`
`#include "pico/bootrom/sf_table.h"`
Include dependency graph for double.h:

Go to the source code of this file.

## Functions

double | int2double (int32_t i)
double | uint2double (uint32_t i)
double | int642double (int64_t i)
double | uint642double (uint64_t i)
double | fix2double (int32_t m, int e)
double | ufix2double (uint32_t m, int e)
double | fix642double (int64_t m, int e)
double | ufix642double (uint64_t m, int e)
int32_t | double2int_z (double f)
int64_t | double2int64_z (double f)
int32_t | double2uint_z (double f)
int64_t | double2uint64_z (double f)
int32_t | double2fix_z (double f, int e)
uint32_t | double2ufix_z (double f, int e)
int64_t | double2fix64_z (double f, int e)
uint64_t | double2ufix64_z (double f, int e)
int32_t | double2int (double f)
uint32_t | double2uint (double f)
int64_t | double2int64 (double f)
uint64_t | double2uint64 (double f)
int32_t | double2fix (double f, int e)
uint32_t | double2ufix (double f, int e)
int64_t | double2fix64 (double f, int e)
uint64_t | double2ufix64 (double f, int e)
double | exp10 (double x)
void | sincos (double x, double *sinx, double *cosx)
double | powint (double x, int y)